TAAS - Feature #174

Visa Issue
03/13/2023 10:50 AM - Junaid M

Status: Reopen Bugs Coding Done Start date: 03/13/2023
Priority: Normal Due date:

Assignee: Amal Ck % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Visa Issue

Description

Coding Visa Issue

History

#1 - 03/13/2023 10:50 AM - Junaid M
- Status changed from New to Open
- Assignee set to Akash B

- % Done changed from 0 to 10

#2 - 03/13/2023 05:36 PM - Akash B
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#3 - 03/22/2023 02:51 PM - Akash B

- Tracker changed from Bug to Feature

#4 - 05/10/2023 05:42 PM - Akash B

- Status changed from Coding Started to Particialy Coding Done

#5 - 06/23/2023 09:48 AM - Amal Cyriac

- Status changed from Particialy Coding Done to Reopen Bugs

- % Done changed from 40 to 50
- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Fix bugs on Date picker - Shrink

2.Add code on Cost Centre Selection box
3.Set alignment on drop down label toggle

4.Fix bugs on Ancillary Sevice Multi selection box- Drop down Icon missing

5.Remove required alert From Pax
6.Add tool tip on LPO No. Date Picker
7.Fare - Popup - Grid resize
8.Amounts align to right

9.Set precision GUI Grid Summary

#6 - 07/10/2023 05:50 PM - Akash B

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

Visa Issue Reported Bug Fixed

#7 - 07/11/2023 06:47 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Resize commission agent input box

2.Fix bugs on date picker while menu expand - Date picker shrink
3.Fix errors on Date pickers - date changes to previous while save
4.Cant save - date of birth , Passport No. Email, Phone -

(Saved items missing on reload)

5.Set right alignment on Amounts

6.Fare - Charge details popup - resize grid & set right alignment on amounts
7.Fix bugs on precision - Missing while reset charge

8.AP Sharing popup - Add precision

9.AP Sharing - Prevent duplication on grid

10.Fix errors on fare - Ap Sharing - Amounts become NaN -Error

#8 - 10/07/2023 05:18 PM - Junaid M
- Assignee changed from Akash B to Athul P

#9 - 10/19/2023 10:32 AM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#10 - 11/15/2023 05:58 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.NO DATAS WHILE CHOOSING EDIT MODE THROUGH REPORT/VOUCHER SEARCH MODULES

#11 - 11/16/2023 04:53 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#12 - 12/15/2023 11:56 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOW FARE DETAILS FIELD IF CUTOMER CHOOSE DIFFERENT CUREENCY RATHER THAN BASE 1

2.SHOW ROE FIELD ALSO IN DIFFERENT CURRENCY CASE

#13 - 12/15/2023 02:21 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#14 - 12/15/2023 03:13 PM - unnikannan S
TESTING DONE

#15 - 12/27/2023 03:59 PM - unnikannan S
ISSUE FOUNDED

1.ERROR WHILE CLEARING ADDED CUSTOMER/FOP AND UPDATE

#16 - 12/28/2023 09:45 AM - unnikannan S
TESTING DONE
#17 - 01/05/2024 10:31 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

FIXED --> 1.CHANGE IN FARE FIELD WHILE FOCUS OUT FROM PERCENTAGE FIELD

FIXED --> 2.ERROR WHILE ADDING CUSTOMER/FOP CHOOSING THE ACCOUNTS THOSE SETED AS THE ACCOUNTS OF BRANCH
MASTER CONTROL A/C

FIXED --> 3.MISSING MANDATORY FIELDS,PRECISION,AND SWITCHING TO VOUCHER DETAILS FIELD WHILE CHOOSING NEW BUTTON
FIXED --> 4.SHOW DATA OF ANCILLARY SERVICES AS PER CHOOSEN SERVICES IN ANCILLARY SERVICE MASTER

FIXED --> 5.MISSING SAVED XO VOUCHERS WHILE DELETING ONE VOUCHER ITEM FROM VOUCHERS

FIXED --> 6.ERROR WHILE ADDING VOUCHER NO MANUALLY ON THE BASIS OF CONTINUOUS SERIES

FIXED --> 7.CONNECT DATAS TO SUPPLIER SERVICE WISE SOA

8.SHOWING FARE TAX COMPONENTS FROM CHILD FARE TO MAIN FARE

FIXED --> 9.SHOWING CUSTOMER BRANCH/DETAILS TAB IN VISA POP UP

10.CONNECTIVITY TO (SET SERVICE RATE,AGENT COMMISSION,SET FEE/DISCOUNT)

FIXED --> 11.CONNECTIVITY OF REGION

FIXED --> 12.ERROR AFTER LOADING SAVED VOUCHER

FIXED --> 13.ERROR WHILE CHOOSING COPY OF A ALREADY SOLD VOUCHERS COPY.

#18 - 02/05/2024 09:04 PM - Junaid M
GUI Changes -> Ask junaid for Changes page

#19 - 08/05/2024 06:00 PM - Arathy PS

ISSUE FOUNDED:
1) ANCILLARY SERVICES SELECTED UNDER OTHER SERVICES ARE ALSO SHOWING

#20 - 08/10/2024 07:41 PM - Junaid M
Add Feature

Load Voucher Stock Information to Issue/Cancel module

#21 - 08/27/2024 01:27 PM - Avinash MS

Issue Found

FIXED -> On Table Set Channel Like fields in "On Table" also (tbl_visa)

#22 - 09/30/2024 03:51 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#23 - 10/02/2024 10:52 AM - Anonymous
- Assignee changed from Athul P to Amal Ck

#24 - 10/07/2024 05:39 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

New Feature Change

1) Add Customer Cost center In Custom Tab [Apply this in All Issue/Cancel Module]

#25 - 11/04/2024 10:32 AM - Arathy PS

- Status changed from New Changes to Reopen Bugs

ISSUE FOUND

1. Can't load data in any fields.
NEW CHANGES

1. In Visa Tab --> Reference Employee --> Change to Dropdown Labels.
--> Options are "Ref. Employee", "Ref. Account" (Account--> Customer/Supplier/Comn Agent)

#26 - 11/04/2024 10:44 AM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#27 - 11/12/2024 06:41 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#28 - 11/20/2024 10:07 AM - unnikannan S
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUNDED

1.No Validation For Voucher No

#29 - 11/20/2024 04:17 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#30 - 11/20/2024 04:42 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#31 - 11/22/2024 01:19 PM - Arathy PS
(DONE)NEW CHANGES

Additional Pax

—-> Additional Pax Popup - Need Copy <Inputbox> Retore <Checkbox>
—>Add 'Import' Button after 'Sequence' button

* Check Account or JV import

— File* (Red) file Chooser

—-Left Side

*File

Avoid First Number of Rows <input>
Avoid Last Number of Rows <input>
*Input Pax Type String <input>
Adult <input>

Child <input>

Infant<input>

-Right Side Table # | Checkbox Column | Index
Ticket No

Pax Profile

Pax Name (Mandatory)

Pax Type (Mandatory)

Nationality

Passport No

Date of Birth

Phone

Email

Save Settings | Close | Import —-> Buttons

—> In Additional Pax Pop-up —--> at the end of pax add attachment icon as grouped.

pload for pax name

click then open attachemnt u

—> In Ticket tab -> at the end of pax add attachment icon as grouped. click then open attachemnt upload for pa

X name

Issue found
1)on copying sold/refunded voucher the document number also get copied.
2)can update the status of cancelled voucher to issue

NEW CHANGES

1. The drop drown at the top showing the status of the ticket (such as issued,cancelled,sold,refund,against sale) with corresponding document no:
and while clicking on them it should redirect to the said document.

#32 - 11/23/2024 05:32 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

#33 - 12/04/2024 12:14 PM - Arathy PS
- File clipboard-202412041215-pmo9r.png added

- Status changed from New Changes to Reopen Bugs

#34 - 12/04/2024 06:31 PM - Arathy PS
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#35 - 12/04/2024 06:36 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

#36 - 12/06/2024 02:06 PM - Arathy PS

- Status changed from New Changes to Reopen Bugs

ISSUE FOUND

1. (DONE)Data not showing in the region field under region category.
2.(DONE) 1. While changing region from one to another, billing tax values connected to it in fare tab is not changing.

#37 - 12/07/2024 03:52 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#38 - 12/09/2024 09:58 AM - Amal Ck
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

#39 - 12/09/2024 01:17 PM - Theja Ponon

Issue found

1)when billing tax are excluded for a customer through Non Billing Tax Account ,billing tax values are showing for the customer
2)On copying xo voucher status is also update as issued(xo)-(Done)

3)direct void from xo is loading in issue-(Done)

4) When entering an amount in cost field it not changing to the correct cost amount.--(Done)
5)Two tax amounts are showing when we have two equations set with effective from date previous to the current date

Change: Change the red star for LPO No: to blue star and show title : If ticked then show will show in LPO waiting report.(done)

#40 - 12/11/2024 12:41 PM - Theja Ponon

- Status changed from New Changes to Reopen Bugs

#41 - 01/02/2025 03:01 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70
#42 - 01/08/2025 03:13 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

(DONE)1. Can change the mandatory fields filled in voucher stock after loading them here.

#43 - 01/10/2025 10:08 AM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#44 - 01/23/2025 02:18 PM - Arathy PS

- File clipboard-202501231418-ttbxx.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

Visa lssus oo | = veo - I o | 5~ 4| ©
Vs - wwhernor [ tesue Issue Date” | 24/01/2025 ] Restore”
Customer Visa Fare FareDetails Additional Pax = Custom Data AP Sharing
+ Add & Import @) Adult Fare (@ Child Fare || (8 Infant Fare Q [r-]
# | Code Pax Profile Pax Name Type
1 Al Aduit S W
2 A2 Adult &S m
3 A3 Child &S w
4 A Infant &S W

#45 - 01/24/2025 05:48 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#46 - 01/24/2025 05:51 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

NEW CHANGES
(DONE)lIssue
1.==>In AP Sharing tab,

--> 'Sharing Type' Default 'Customer Corp Card'

--> 'Card Number' --> Mandatory --> Load from Customer Master -- based on Customer and Corporate Account
--> 'Corporate Card*' Set default -> before 'Supplier'

*--in the corporate card entry field Load Only 'UCCF' Corporate Card.

--Expiry Date: - Blue * ??

--Name On Card: - Blue * ??

(DONE)2. Add a new field 'Service Provider'

(DONE)NEW CHANGES
1. In the AP sharing tab bottom,

--> Add title on Card Number:- Cardmember Account Number
--> Change 'Name On Card'":- Cardmember Name

--> Add "AEME Approval Code™ Textbox

#47 - 02/24/2025 10:11 AM - Amal Ck
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#48 - 03/11/2025 02:37 PM - Theja Ponon
- File clipboard-202503111437-qceil.png added

#49 - 03/11/2025 02:38 PM - Theja Ponon
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#50 - 03/11/2025 03:27 PM - Theja Ponon
- Status changed from Reopen Bugs to New Changes Coding Done
- % Done changed from 50 to 70

#51 - 03/13/2025 11:11 AM - Theja Ponon
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

(DONE)Issue Found

(FIXED)1)Asking to allow partial payment in case of paying full amount through AP Sharing

#52 - 03/24/2025 09:02 AM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#53 - 04/04/2025 03:30 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

(DONE)1. While taking copy of a ticket the status of the original ticket is still showing for the copy.
Iclipboard-202504041248-0xlam.png

#54 - 04/08/2025 03:11 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
